Im facing error when i updated on new version of woocommerce

This topic has 8 replies, 2 voices, and was last updated 2 years, 2 months ago ago by Olga Barlow

  • Avatar: aurangzebaa
    aurangzebaa
    Participant
    January 21, 2022 at 17:31

    WordPress version 5.8.3
    Current theme: XStore Child (version 0.0.1)
    Current plugin: WooCommerce (version 6.1.1)
    PHP version 8.0.14

    Error Details
    =============
    An error of type E_ERROR was caused in line 642 of the file /home/698848.cloudwaysapps.com/enuyyaxwrn/public_html/wp-content/plugins/woocommerce/includes/class-wc-install.php. Error message: Uncaught TypeError: method_exists(): Argument #1 ($object_or_class) must be of type object|string, int given in /home/698848.cloudwaysapps.com/enuyyaxwrn/public_html/wp-content/plugins/woocommerce/includes/class-wc-install.php:642
    Stack trace:
    #0 /home/698848.cloudwaysapps.com/enuyyaxwrn/public_html/wp-content/plugins/woocommerce/includes/class-wc-install.php(642): method_exists()
    #1 /home/698848.cloudwaysapps.com/enuyyaxwrn/public_html/wp-content/plugins/woocommerce/includes/class-wc-install.php(316): WC_Install::create_options()
    #2 /home/698848.cloudwaysapps.com/enuyyaxwrn/public_html/wp-content/plugins/woocommerce/includes/class-wc-install.php(199): WC_Install::install()
    #3 /home/698848.cloudwaysapps.com/enuyyaxwrn/public_html/wp-includes/class-wp-hook.php(303): WC_Install::check_version()
    #4 /home/698848.cloudwaysapps.com/enuyyaxwrn/public_html/wp-includes/class-wp-hook.php(327): WP_Hook->apply_filters()
    #5 /home/698848.cloudwaysapps.com/enuyyaxwrn/public_html/wp-includes/plugin.php(470): WP_Hook->do_action()
    #6 /home/698848.cloudwaysapps.com/enuyyaxwrn/public_html/wp-settings.php(578): do_action()
    #7 /home/698848.cloudwaysapps.com/enuyyaxwrn/public_html/wp-config.php(96): require_once(‘/home/698848.cl…’)
    #8 /home/698848.cloudwaysapps.com/enuyyaxwrn/public_html/wp-load.php(50): require_once(‘/home/698848.cl…’)
    #9 /home/698848.cloudwaysapps.com/enuyyaxwrn/public_html/wp-admin/admin.php(34): require_once(‘/home/698848.cl…’)
    #10 /home/698848.cloudwaysapps.com/enuyyaxwrn/public_html/wp-admin/index.php(10): require_once(‘/home/698848.cl…’)
    #11 {main}
    thrown

    7 Answers
    Avatar: Olga Barlow
    Olga Barlow
    Support staff
    January 21, 2022 at 17:45

    Hello,

    Did you try to disable third-party plugins?

    Regards

    Avatar: aurangzebaa
    aurangzebaa
    Participant
    January 21, 2022 at 18:41

    it is updated to latest version and I don’t see any problems

    what does the error says exactly?

    Avatar: Olga Barlow
    Olga Barlow
    Support staff
    January 21, 2022 at 18:43

    Hello,

    I did not ask you if all the third-party plugins are up to date. I asked you if you tried to disable them and still have the mentioned errors after that. So, did you try to disable third-party plugins and do you still have the mentioned errors after that?

    Regards

    Avatar: aurangzebaa
    aurangzebaa
    Participant
    January 21, 2022 at 19:02

    what i said was woocommerce got an update today. i updated it today and after that got this error.
    Now woocommerce is showing updated version 6.1.1. but I still want to know what exactly the error is
    right now at this moment, there is no error being shown. it was just shown one time

    Avatar: Olga Barlow
    Olga Barlow
    Support staff
    January 21, 2022 at 19:07

    Hello,

    Not sure about that. We are not developers of the WooCommerce plugin. We are developers of the XStore theme. As you can see from the errors it’s not related to theme files but to WordPress files. So, contact WooCommerce or WP support to get more information about that.

    Regards

    Avatar: aurangzebaa
    aurangzebaa
    Participant
    January 21, 2022 at 19:14

    i did and they said to contact the theme developers so I contact you

    Avatar: Olga Barlow
    Olga Barlow
    Support staff
    January 21, 2022 at 19:39

    Hello,

    Provide us with your topic on their forum, please. Why did they tell you to contact the theme author if errors are related to the plugin file as you can see from the Stack trace? How did they explain that?
    What are the steps to reproduce the error on your site?

    Regards

  • Viewing 8 results - 1 through 8 (of 8 total)

You must be logged in to reply to this topic.Log in/Sign up

We're using our own and third-party cookies to improve your experience and our website. Keep on browsing to accept our cookie policy.